<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>org.openarchives.oai._2</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.openarchives.oai._2";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.openarchives.oai._2</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="AboutType.html" title="class in org.openarchives.oai._2">AboutType</a></th>
<td class="colLast">
<div class="block">Data "about" the record must be expressed in XML
       that is compliant with an XML Schema defined by a community.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="DescriptionType.html" title="class in org.openarchives.oai._2">DescriptionType</a></th>
<td class="colLast">
<div class="block">The descriptionType is used for the description
       element in Identify and for setDescription element in ListSets.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="GetRecordType.html" title="class in org.openarchives.oai._2">GetRecordType</a></th>
<td class="colLast">
<div class="block">Java class for GetRecordType complex type.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="HeaderType.html" title="class in org.openarchives.oai._2">HeaderType</a></th>
<td class="colLast">
<div class="block">A header has a unique identifier, a datestamp,
         and setSpec(s) in case the item from which
         the record is disseminated belongs to set(s).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="IdentifyType.html" title="class in org.openarchives.oai._2">IdentifyType</a></th>
<td class="colLast">
<div class="block">Java class for IdentifyType complex type.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ListIdentifiersType.html" title="class in org.openarchives.oai._2">ListIdentifiersType</a></th>
<td class="colLast">
<div class="block">Java class for ListIdentifiersType complex type.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ListMetadataFormatsType.html" title="class in org.openarchives.oai._2">ListMetadataFormatsType</a></th>
<td class="colLast">
<div class="block">Java class for ListMetadataFormatsType complex type.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ListRecordsType.html" title="class in org.openarchives.oai._2">ListRecordsType</a></th>
<td class="colLast">
<div class="block">Java class for ListRecordsType complex type.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ListSetsType.html" title="class in org.openarchives.oai._2">ListSetsType</a></th>
<td class="colLast">
<div class="block">Java class for ListSetsType complex type.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="MetadataFormatType.html" title="class in org.openarchives.oai._2">MetadataFormatType</a></th>
<td class="colLast">
<div class="block">Java class for metadataFormatType complex type.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="MetadataType.html" title="class in org.openarchives.oai._2">MetadataType</a></th>
<td class="colLast">
<div class="block">Metadata must be expressed in XML that complies
        with another XML Schema (namespace=#other).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="OAIPMHerrorType.html" title="class in org.openarchives.oai._2">OAIPMHerrorType</a></th>
<td class="colLast">
<div class="block">Java class for OAI-PMHerrorType complex type.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="OAIPMHtype.html" title="class in org.openarchives.oai._2">OAIPMHtype</a></th>
<td class="colLast">
<div class="block">Java class for OAI-PMHtype complex type.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="ObjectFactory.html" title="class in org.openarchives.oai._2">ObjectFactory</a></th>
<td class="colLast">
<div class="block">This object contains factory methods for each 
 Java content interface and Java element interface 
 generated in the org.openarchives.oai._2 package.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="RecordType.html" title="class in org.openarchives.oai._2">RecordType</a></th>
<td class="colLast">
<div class="block">A record has a header, a metadata part, and
         an optional about container</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="RequestType.html" title="class in org.openarchives.oai._2">RequestType</a></th>
<td class="colLast">
<div class="block">Define requestType, indicating the protocol request that 
       led to the response.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="ResumptionTokenType.html" title="class in org.openarchives.oai._2">ResumptionTokenType</a></th>
<td class="colLast">
<div class="block">A resumptionToken may have 3 optional attributes
        and can be used in ListSets, ListIdentifiers, ListRecords
        responses.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="SetType.html" title="class in org.openarchives.oai._2">SetType</a></th>
<td class="colLast">
<div class="block">Java class for setType complex type.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="DeletedRecordType.html" title="enum in org.openarchives.oai._2">DeletedRecordType</a></th>
<td class="colLast">
<div class="block">Java class for deletedRecordType.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="GranularityType.html" title="enum in org.openarchives.oai._2">GranularityType</a></th>
<td class="colLast">
<div class="block">Java class for granularityType.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="OAIPMHerrorcodeType.html" title="enum in org.openarchives.oai._2">OAIPMHerrorcodeType</a></th>
<td class="colLast">
<div class="block">Java class for OAI-PMHerrorcodeType.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="StatusType.html" title="enum in org.openarchives.oai._2">StatusType</a></th>
<td class="colLast">
<div class="block">Java class for statusType.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="VerbType.html" title="enum in org.openarchives.oai._2">VerbType</a></th>
<td class="colLast">
<div class="block">Java class for verbType.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
